[Accel-config] [PATCH] accel-config/test: load/unload uacce module at cleanup

ramesh.thomas at intel.com
Newsgroups dev.linux.lists.accel-config
Message-ID <[email protected]>
From: Ramesh Thomas <ramesh.thomas(a)intel.com>

Cleanup unloads and reloads all idxd kernel modules. This is broken due
to idxd_module depending on idxd module. The order of idxd_mdev and
idxd_uacce modules are not fixed requiring additional checks during the
process.

Signed-off-by: Tony Zhu <tony.zhu(a)intel.com>
Signed-off-by: Ramesh Thomas <ramesh.thomas(a)intel.com>
---
 test/common | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/test/common b/test/common
index 4bd4ed3..e6e84dd 100644
--- a/test/common
+++ b/test/common
@@ -99,6 +99,14 @@ check_prereq()
 #
 _cleanup()
 {
+	lsmod | grep -q "idxd_mdev" && {
+		modprobe -r idxd_mdev 2>/dev/null || :
+		sleep 1
+	}
+	lsmod | grep -q "idxd_uacce" && {
+		modprobe -r idxd_uacce
+		sleep 1
+	}
 	lsmod | grep -q "idxd_mdev" && {
 		modprobe -r idxd_mdev
 		sleep 1
@@ -108,6 +116,7 @@ _cleanup()
 		sleep 1
 	}
 	modprobe idxd
+	sleep 1
 }
 
 # json2var
-- 
2.26.3
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.